cURL
将 beta 草稿发布为新版本(版本号自增),状态变为
deployed。
发布 Agent 需要知识库-修改权限。
支持并发发布安全(底层通过 DB 唯一索引 + 冲突重试作为容错机制)。
Authorizations
string
header
required
DashScope API Key,在控制台 API Key 页面(https://bailian.console.aliyun.com/settings/apikey)获取。
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
将 beta 草稿发布为新版本
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/agent/deploy" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_version_desc": "新增防泄漏功能,优化检索参数"
}'{
"request_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_version": "2",
"agent_status": "deployed"
}
}deployed。
DashScope API Key,在控制台 API Key 页面(https://bailian.console.aliyun.com/settings/apikey)获取。
curl -X POST "https://{workspaceId}.cn-beijing.maas.aliyuncs.com/api/v1/indices/rag/agent/deploy" \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_version_desc": "新增防泄漏功能,优化检索参数"
}'{
"request_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"status_code": 200,
"code": "Success",
"message": "",
"status": "SUCCESS",
"success": true,
"data": {
"agent_id": "aid-8f3a1b2c4d5e6f70",
"agent_version": "2",
"agent_status": "deployed"
}
}